Summary: 	A free ATSC A/52 stream decoder
Name: 		a52dec
Version: 	0.7.4
Release: 	16%{?dist}
License: 	GPLv2
Group: 		System Environment/Libraries
URL: 		http://liba52.sourceforge.net/
Source0: 	http://liba52.sourceforge.net/files/%{name}-%{version}.tar.gz
Patch0:		a52dec-configure-optflags.patch
Patch1:		a52dec-0.7.4-rpath64.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{__perl}

%package devel
Summary:	Development files needed for a52dec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

#---------------------------------------------------------------------

%description
liba52 is a free library for decoding ATSC A/52 streams. The A/52
standard is used in a variety of applications, including digital
television and DVD. It is also known as AC-3. The package also
includes a52dec, a small test program for liba52.

%description devel
liba52 is a free library for decoding ATSC A/52 streams. The A/52
standard is used in a variety of applications, including digital
television and DVD. It is also known as AC-3.
This package contains development files for a52dec.

#---------------------------------------------------------------------

%prep
%setup -q
%patch0
%patch1 -p1
%{__perl} -pi -e 's/-prefer-non-pic\b/-prefer-pic/' \
  configure liba52/configure.incl

#---------------------------------------------------------------------

%build
%configure --enable-shared --disable-static
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%exclude %{_libdir}/liba52.la
%doc AUTHORS COPYING ChangeLog HISTORY NEWS TODO
%{_libdir}/liba52.so.*
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files devel
%defattr(-,root,root,-)
%doc doc/liba52.txt
%{_includedir}/a52dec
%{_libdir}/liba52.so

#---------------------------------------------------------------------

%changelog
* Thu Apr 04 2013 Shawn W Dunn <sfalken@fuduntu.org> - 0.7.4-16
- Built for Fuduntu

* Thu Apr 04 2013 Shawn W Dunn <sfalken@fuduntu.org> - 0.7.4-16
- Rebuilt to update package name with Fuduntu nomenclature 

* Tue Apr 28 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.7.4-15
- rebuild

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.7.4-14
- rebuild for new F11 features

* Sun Aug 03 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.7.4-12
- integrate a fix from livna that got lost

* Thu Jul 24 2008 David Juran <david@juran.se> - 0.7.4-12
- Bump Release for RpmFusion

* Sun Nov 11 2007 Dominik Mierzejewski <dominik [AT] greysector [DOT] net> 0.7.4-11.1
- Really drop djbfft

* Mon Oct  1 2007 David Juran <david@juran.se> - 0.7.4-11
- Fix Licence tag to be GPLv2
- Drop %makeinstall macro
- Drop static archive
- Drop djbfft

